Bug 1342532 - CFME provisioning on RHEV limited to max 4096GB of memory
Summary: CFME provisioning on RHEV limited to max 4096GB of memory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Lucy Fu
QA Contact: Dave Johnson
URL:
Whiteboard: provision:dialog
Depends On:
Blocks: 1349869
TreeView+ depends on / blocked
 
Reported: 2016-06-03 12:38 UTC by luke couzens
Modified: 2017-01-12 05:12 UTC (History)
5 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1349869 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:08:54 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
memory options (120.85 KB, image/png)
2016-06-03 12:38 UTC, luke couzens
no flags Details

Description luke couzens 2016-06-03 12:38:50 UTC
Created attachment 1164505 [details]
memory options

Description of problem: When provisioning with RHEV under the hardware tab you only have a choice of 1024, 2048 or 4096 RAM.

Version-Release number of selected component (if applicable):5.6.0.9


How reproducible:100%


Steps to Reproduce:
1.provision new appliance
2.connect to webui
3.add RHEV provider
4.provision with new template and select mem size under hardware tab

Actual results: memory limitation 


Expected results: able to provision with memory available on provider


Additional info: Looks like the memory options are hard coded.

        :vm_memory:
          :values:
            "2048": "2048"
            "4096": "4096"
            "1024": "1024"

Comment 2 Dave Johnson 2016-06-22 18:12:11 UTC
We should add the following values...

8192
12288
16384
32768

Comment 3 Greg McCullough 2016-06-23 19:30:00 UTC
Dajo - This ticket referenes RHEV but does this request really apply to all Infra provider types?  VMware, Microsoft (SCVMM) and RHEV

Comment 4 Dave Johnson 2016-06-23 19:37:41 UTC
I believe it does, yes.

Comment 7 CFME Bot 2016-07-13 16:51:57 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 8 CFME Bot 2016-07-13 16:53:11 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 9 CFME Bot 2016-07-13 16:54:39 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 10 CFME Bot 2016-07-13 16:56:06 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 11 CFME Bot 2016-07-13 16:58:25 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 12 CFME Bot 2016-07-13 16:59:28 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 13 CFME Bot 2016-07-13 17:01:08 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 14 CFME Bot 2016-07-13 17:02:53 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 15 CFME Bot 2016-07-13 17:04:11 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 16 CFME Bot 2016-07-13 17:06:01 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 17 CFME Bot 2016-07-13 17:07:35 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 18 CFME Bot 2016-07-13 17:09:12 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b475edb116f003b28185889c39f034b2a100647b

commit b475edb116f003b28185889c39f034b2a100647b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 12 16:20:48 2016 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jul 12 16:21:11 2016 -0400

    Increase the maximum memory for Vm provisioning dialogs.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342532

 product/dialogs/miq_dialogs/miq_provision_dialogs.yaml           | 6 +++++-
 .../miq_dialogs/miq_provision_microsoft_dialogs_template.yaml    | 9 +++++++++
 .../miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml       | 6 +++++-
 .../miq_provision_vmware_dialogs_clone_to_template.yaml          | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_clone_to_vm.yaml    | 6 +++++-
 .../miq_dialogs/miq_provision_vmware_dialogs_template.yaml       | 6 +++++-
 7 files changed, 39 insertions(+), 6 deletions(-)

Comment 19 luke couzens 2016-09-16 12:38:47 UTC
Verified in 5.7.0.0


Note You need to log in before you can comment on or make changes to this bug.